using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class CompanyInfoUpdate : DataAccessBase
	{
		public CompanyInfoUpdate()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[CompanyInfoUpdate]");
			ConfigParameter();
		}

		private SqlParameter paramCompanyID;
		public System.Int32 CompanyID
		{
			get
			{
				return (System.Int32)paramCompanyID.Value;
			}
			set
			{
				paramCompanyID.Value = value;
			}
		}

		private SqlParameter paramCompanyName;
		public System.String CompanyName
		{
			get
			{
				return (System.String)paramCompanyName.Value;
			}
			set
			{
				paramCompanyName.Value = value;
			}
		}

		private SqlParameter paramEMail;
		public System.String EMail
		{
			get
			{
				return (System.String)paramEMail.Value;
			}
			set
			{
				paramEMail.Value = value;
			}
		}

		private SqlParameter paramAddress;
		public System.String Address
		{
			get
			{
				return (System.String)paramAddress.Value;
			}
			set
			{
				paramAddress.Value = value;
			}
		}

		private SqlParameter paramTelephone;
		public System.String Telephone
		{
			get
			{
				return (System.String)paramTelephone.Value;
			}
			set
			{
				paramTelephone.Value = value;
			}
		}

		private SqlParameter paramFax;
		public System.String Fax
		{
			get
			{
				return (System.String)paramFax.Value;
			}
			set
			{
				paramFax.Value = value;
			}
		}

		private SqlParameter paramMobile;
		public System.String Mobile
		{
			get
			{
				return (System.String)paramMobile.Value;
			}
			set
			{
				paramMobile.Value = value;
			}
		}

		private SqlParameter paramRegionID;
		public System.Int32 RegionID
		{
			get
			{
				return (System.Int32)paramRegionID.Value;
			}
			set
			{
				paramRegionID.Value = value;
			}
		}

		private SqlParameter paramRegionIDPath;
		public System.String RegionIDPath
		{
			get
			{
				return (System.String)paramRegionIDPath.Value;
			}
			set
			{
				paramRegionIDPath.Value = value;
			}
		}

		private SqlParameter paramRegionNamePath;
		public System.String RegionNamePath
		{
			get
			{
				return (System.String)paramRegionNamePath.Value;
			}
			set
			{
				paramRegionNamePath.Value = value;
			}
		}

		private SqlParameter paramCASN;
		public System.String CASN
		{
			get
			{
				return (System.String)paramCASN.Value;
			}
			set
			{
				paramCASN.Value = value;
			}
		}

		private SqlParameter paramEACertification;
		public System.String EACertification
		{
			get
			{
				return (System.String)paramEACertification.Value;
			}
			set
			{
				paramEACertification.Value = value;
			}
		}

		private SqlParameter paramStatus;
		public System.Int16 Status
		{
			get
			{
				return (System.Int16)paramStatus.Value;
			}
			set
			{
				paramStatus.Value = value;
			}
		}

		private SqlParameter paramAuthStatus;
		public System.Int16 AuthStatus
		{
			get
			{
				return (System.Int16)paramAuthStatus.Value;
			}
			set
			{
				paramAuthStatus.Value = value;
			}
		}

		private SqlParameter paramCurrentUserCount;
		public System.Int32 CurrentUserCount
		{
			get
			{
				return (System.Int32)paramCurrentUserCount.Value;
			}
			set
			{
				paramCurrentUserCount.Value = value;
			}
		}

		private SqlParameter paramMaxUserCount;
		public System.Int32 MaxUserCount
		{
			get
			{
				return (System.Int32)paramMaxUserCount.Value;
			}
			set
			{
				paramMaxUserCount.Value = value;
			}
		}

		private SqlParameter paramCreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return (System.DateTime)paramCreateTime.Value;
			}
			set
			{
				paramCreateTime.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return (System.Int32)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return (System.DateTime)paramUpdateTime.Value;
			}
			set
			{
				paramUpdateTime.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return (System.Int32)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramCompanyID = new SqlParameter();
			paramCompanyID.ParameterName = "@CompanyID";
			paramCompanyID.SqlDbType = SqlDbType.Int;
			paramCompanyID.Precision = 10;
			paramCompanyID.Scale = 0;
			paramCompanyID.Direction = ParameterDirection.Input;
			paramCompanyID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCompanyID);
			//--------------------------------------------------------
			paramCompanyName = new SqlParameter();
			paramCompanyName.ParameterName = "@CompanyName";
			paramCompanyName.SqlDbType = SqlDbType.NVarChar;
			paramCompanyName.Size = 400;
			paramCompanyName.Direction = ParameterDirection.Input;
			paramCompanyName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCompanyName);
			//--------------------------------------------------------
			paramEMail = new SqlParameter();
			paramEMail.ParameterName = "@EMail";
			paramEMail.SqlDbType = SqlDbType.VarChar;
			paramEMail.Size = 100;
			paramEMail.Direction = ParameterDirection.Input;
			paramEMail.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEMail);
			//--------------------------------------------------------
			paramAddress = new SqlParameter();
			paramAddress.ParameterName = "@Address";
			paramAddress.SqlDbType = SqlDbType.NVarChar;
			paramAddress.Size = 400;
			paramAddress.Direction = ParameterDirection.Input;
			paramAddress.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAddress);
			//--------------------------------------------------------
			paramTelephone = new SqlParameter();
			paramTelephone.ParameterName = "@Telephone";
			paramTelephone.SqlDbType = SqlDbType.VarChar;
			paramTelephone.Size = 60;
			paramTelephone.Direction = ParameterDirection.Input;
			paramTelephone.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTelephone);
			//--------------------------------------------------------
			paramFax = new SqlParameter();
			paramFax.ParameterName = "@Fax";
			paramFax.SqlDbType = SqlDbType.VarChar;
			paramFax.Size = 60;
			paramFax.Direction = ParameterDirection.Input;
			paramFax.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFax);
			//--------------------------------------------------------
			paramMobile = new SqlParameter();
			paramMobile.ParameterName = "@Mobile";
			paramMobile.SqlDbType = SqlDbType.VarChar;
			paramMobile.Size = 30;
			paramMobile.Direction = ParameterDirection.Input;
			paramMobile.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramMobile);
			//--------------------------------------------------------
			paramRegionID = new SqlParameter();
			paramRegionID.ParameterName = "@RegionID";
			paramRegionID.SqlDbType = SqlDbType.Int;
			paramRegionID.Precision = 10;
			paramRegionID.Scale = 0;
			paramRegionID.Direction = ParameterDirection.Input;
			paramRegionID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRegionID);
			//--------------------------------------------------------
			paramRegionIDPath = new SqlParameter();
			paramRegionIDPath.ParameterName = "@RegionIDPath";
			paramRegionIDPath.SqlDbType = SqlDbType.VarChar;
			paramRegionIDPath.Size = 50;
			paramRegionIDPath.Direction = ParameterDirection.Input;
			paramRegionIDPath.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRegionIDPath);
			//--------------------------------------------------------
			paramRegionNamePath = new SqlParameter();
			paramRegionNamePath.ParameterName = "@RegionNamePath";
			paramRegionNamePath.SqlDbType = SqlDbType.VarChar;
			paramRegionNamePath.Size = 500;
			paramRegionNamePath.Direction = ParameterDirection.Input;
			paramRegionNamePath.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRegionNamePath);
			//--------------------------------------------------------
			paramCASN = new SqlParameter();
			paramCASN.ParameterName = "@CASN";
			paramCASN.SqlDbType = SqlDbType.VarChar;
			paramCASN.Size = 20;
			paramCASN.Direction = ParameterDirection.Input;
			paramCASN.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCASN);
			//--------------------------------------------------------
			paramEACertification = new SqlParameter();
			paramEACertification.ParameterName = "@EACertification";
			paramEACertification.SqlDbType = SqlDbType.VarChar;
			paramEACertification.Size = 20;
			paramEACertification.Direction = ParameterDirection.Input;
			paramEACertification.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEACertification);
			//--------------------------------------------------------
			paramStatus = new SqlParameter();
			paramStatus.ParameterName = "@Status";
			paramStatus.SqlDbType = SqlDbType.SmallInt;
			paramStatus.Precision = 5;
			paramStatus.Scale = 0;
			paramStatus.Direction = ParameterDirection.Input;
			paramStatus.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramStatus);
			//--------------------------------------------------------
			paramAuthStatus = new SqlParameter();
			paramAuthStatus.ParameterName = "@AuthStatus";
			paramAuthStatus.SqlDbType = SqlDbType.SmallInt;
			paramAuthStatus.Precision = 5;
			paramAuthStatus.Scale = 0;
			paramAuthStatus.Direction = ParameterDirection.Input;
			paramAuthStatus.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAuthStatus);
			//--------------------------------------------------------
			paramCurrentUserCount = new SqlParameter();
			paramCurrentUserCount.ParameterName = "@CurrentUserCount";
			paramCurrentUserCount.SqlDbType = SqlDbType.Int;
			paramCurrentUserCount.Precision = 10;
			paramCurrentUserCount.Scale = 0;
			paramCurrentUserCount.Direction = ParameterDirection.Input;
			paramCurrentUserCount.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCurrentUserCount);
			//--------------------------------------------------------
			paramMaxUserCount = new SqlParameter();
			paramMaxUserCount.ParameterName = "@MaxUserCount";
			paramMaxUserCount.SqlDbType = SqlDbType.Int;
			paramMaxUserCount.Precision = 10;
			paramMaxUserCount.Scale = 0;
			paramMaxUserCount.Direction = ParameterDirection.Input;
			paramMaxUserCount.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramMaxUserCount);
			//--------------------------------------------------------
			paramCreateTime = new SqlParameter();
			paramCreateTime.ParameterName = "@CreateTime";
			paramCreateTime.SqlDbType = SqlDbType.DateTime;
			paramCreateTime.Size = 16;
			paramCreateTime.Scale = 3;
			paramCreateTime.Direction = ParameterDirection.Input;
			paramCreateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTime);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.Int;
			paramCreateUser.Precision = 10;
			paramCreateUser.Scale = 0;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateTime = new SqlParameter();
			paramUpdateTime.ParameterName = "@UpdateTime";
			paramUpdateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateTime.Size = 16;
			paramUpdateTime.Scale = 3;
			paramUpdateTime.Direction = ParameterDirection.Input;
			paramUpdateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateTime);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.Int;
			paramUpdateUser.Precision = 10;
			paramUpdateUser.Scale = 0;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
		}
	}
}